#!/bin/bash

PACKAGE_NAME="pixelyse"
TITLE="Pixelyse"
VERSION="1.0.0"
ARCHITECTURE="amd64"
MAINTAINER="Einārs Hamrihs"
SUMMARY="A simple tool for scanning and digitalizing your photos effortlessly"
DESCRIPTION="Minimizes the number of steps required to perform scanning and photo extraction, making the process quicker and more efficient. A user-friendly interface and streamlined functionality allows you to go from document to extracted photos in just a few clicks."
INSTALL_DIR="/opt/$PACKAGE_NAME"
DESKTOP_ENTRY_DIR="$INSTALL_DIR"
ICON_PATH="static/images"
APP_EXEC_DIR="dist/pixelyse"
INST_CONFIG_DIR="installation_configs"
OUTPUT_DIR="installation_packages"
EXEC_FILE="Pixelyse"
HOMEPAGE="https://sites.google.com/view/ehtools"
PROJECT_WEBSITE="https://sites.google.com/view/ehtools/software/pixelyse"
PACKAGE_DIR="$OUTPUT_DIR/${PACKAGE_NAME}_${VERSION}_${ARCHITECTURE}"
DEB_PRODUCT_ID="me.eh.$PACKAGE_NAME.desktop"
ICON_SIZES=(48 64 128 256)
SOURCE_URL="https://gitlab.com/einars.hamrihs/pixelyse"
ICON_URL_64="https://gitlab.com/einars.hamrihs/pixelyse/-/raw/master/static/images/icon-64x64.png"
SCREENSHOT_URL_1="https://gitlab.com/einars.hamrihs/pixelyse/-/raw/master/screenshots/screenshot1.png"
SCREENSHOT_URL_2="https://gitlab.com/einars.hamrihs/pixelyse/-/raw/master/screenshots/screenshot2.png"
HELP_URL="https://sites.google.com/view/ehtools/software/pixelyse"
CONTACT_URL="https://sites.google.com/view/ehtools/contact"
DONATION_URL="https://www.paypal.com/donate/?business=AGQS9DZEH8SDA"
README_PATH="README.md"
LICENCE_PATH="LICENCE.md"
FAVICON_PATH="static/images/favicon.ico"
SNAP_WORKING_DIR="dist"
LICENCE_TYPE="MIT"
SNAP_GUI_DIR="snap/gui"
